# Upstream doesn't make releases.  We have to check the code out of git.
%global owner    tscrim
%global gittag   7b5a1f0039511326aeb616afb132a5065886b9d8
%global shorttag %(cut -b -7 <<< %{gittag})
%global gitdate  20180226

Name:           coxeter
Version:        3.1
Release:        1.%{gitdate}.%{shorttag}%{?dist}
Summary:        Combinatorial aspects of Coxeter group theory

License:        GPL+
URL:            https://github.com/%{owner}/%{name}
Source0:        %{url}/archive/%{gittag}/%{name}-%{shorttag}.tar.gz
# Store the runtime data in a more canonical place
Patch0:         %{name}-data.patch

BuildRequires:  gcc-c++
BuildRequires:  tex(latex)

%description
Coxeter is a program for the exploration of combinatorial issues related
to Coxeter groups and Hecke algebras, with a particular emphasis on the
computation of Kazhdan-lusztig polynomials and related questions.  It is
not a symbolic algebra system; rather, it is an interface for accessing
a direct C++ implementation of the concept of a Coxeter group.

%prep
%autosetup -p0 -n %{name}-%{gittag}

# Use our build and linker flags
sed -e 's|-O -Wall|%{optflags}|' \
    -e "s|coxeter \$(objects)|& $RPM_LD_FLAGS|" \
    -i makefile

%build
%make_build optimize=true
pdflatex INTRO.tex
pdflatex INTRO.tex

%install
# Install the binary
mkdir -p %{buildroot}%{_bindir}
cp -p coxeter %{buildroot}%{_bindir}

# Install the runtime data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a coxeter_matrices headers messages %{buildroot}%{_datadir}/%{name}

%files
%doc INTRO.pdf README
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Sat Jul  6 2019 Jerry James <loganjerry@gmail.com> - 3.1-1.20180226.7b5a1f0
- Initial RPM
